<div class="light-border-spacing settings">
    <div class="title-spinner center">
        <h4 class="title-bc">SETTINGS</h4>
        <br />
    </div>
    <br />
    <small id="custom-api-node-setting-id" class="form-text text-muted">
        Custom API/Node address <small>(*)(**)</small>
    </small>
    <form id="custom-api-node-setting-id" onsubmit="return false;" class="settings-box">
        <div v-if="error_wrong_address" class="alert alert-danger">
            <p class="justified">
                <b>Entered address is most likely wrong.</b><br />
                <b>Try another one please.</b><br />
                <b>Hint</b> : if you are trying to use a local node don't forget to launch it with
                an additional --cors-origin='*' parameter.
            </p>
        </div>
        <b-form-group class="light-margin">
            <b-form-input
                v-model="api_node_address"
                placeholder="Enter address"
                aria-describedby="address-help"
            ></b-form-input>
        </b-form-group>
        <div class="center">
            <b-button variant="primary" class="light-margin" @click="get_form_values()">
                Save
            </b-button>
            <b-button variant="primary" class="light-margin" @click="reset_custom_address()">
                Reset
            </b-button>
        </div>
    </form>
    <small id="hash-shorten-setting-id" class="form-text text-muted"> Hash display </small>
    <b-form-radio-group
        id="hash-shorten-setting-id"
        v-model="hash_shorten_setting.selected"
        :options="hash_shorten_setting.items"
        value-field="kind"
        text-field="descr"
        class="settings-box hash_shorten_settings_radio"
        @change="set_hash_shorten"
        buttons
    />
    <b-alert variant="danger" show>
        <p class="justified">
            <b>Caution</b> :<br />
            <b>(*)</b> By using your own api/node address (especially if the protocol is different
            from the default apis/nodes addresses that we use) some things may not work anymore.<br />
            <b>(**)</b> Entered address will be persistent which means if you want to use the
            default address again you will need to click on the reset button or select an other
            network on the navbar.
        </p>
    </b-alert>
</div>
